Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lp.trans
Class EvolpVarTransformer

    java.lang.Object
      lp.trans.EvolpVarTransformer

    public class EvolpVarTransformer

extends Object

Transforms an evolving logic program into an equivalent dynamic logic program.

Version:
  0.5.0
Author:
  Martin Slota

Nested Class Summary
`private class` | `EvolpVarTransformer.TransformationHelper`

Field Summary
`private int` | `eventCount`
`private List<LogicProgram>` | `events`
`private DlpGrounder` | `grounder`
`private EvolpVarTransformer.TransformationHelper` | `helper`
`private List<LogicProgram>` | `programs`

Constructor Summary
`EvolpVarTransformer()` Creates a new instance of `EvolpVarTransformer`.

Method Summary
`void` | `setLparsePath(String lparsePath)` Sets the path to lparse binary that is used to invoke lparse.
`DynamicLogicProgram` | `transform(EvolpProgram evolp)` Constructs a dynamic logic program that is equivalent to the evolving logic program `evolp`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### programs

    private final List<LogicProgram> programs

### events

    private List<LogicProgram> events

### eventCount

    private int eventCount

### grounder

    private final DlpGrounder grounder

### helper

    private final EvolpVarTransformer.TransformationHelper helper

Constructor Detail

### EvolpVarTransformer

    public EvolpVarTransformer()

  Creates a new instance of `EvolpVarTransformer`.

Method Detail

### setLparsePath

    public void setLparsePath(String lparsePath)

  Sets the path to lparse binary that is used to invoke lparse.

  Parameters:
    `lparsePath` - path to the lparse binary
  Throws:
    `IllegalArgumentException` - if `lparsePath` is `null` or an empty string

### transform

    public DynamicLogicProgram transform(EvolpProgram evolp)

  Constructs a dynamic logic program that is equivalent to the evolving logic program `evolp`.

  Parameters:
    `evolp` - the evolving logic program that should be transformed
  Returns:
    the dynamic logic program equivalent to `evolp`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD